<?php echo('<' . '?xml version="1.0" encoding="UTF-8"?' . '>'); ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
	<head>
		<meta http-equiv="Content-Type"
			content="text/html; charset=UTF-8" />
		<meta http-equiv="Reply-To"
			content="Michal Nazarewicz &lt;mina86@tlen.pl&gt;" />
		<meta name="Copyright"
			content="Copyright (c) 2003 by Michal Nazarewicz" />

		<link type="text/css" rel="stylesheet" href="css.css" />

		<title>Miranda IM Sendlog Example</title>
	</head>

	<body>
<h1>Miranad IM Sendlog Example</h1>
<p>This is an example how to use <b>Miranda IM Sendlog</b>.</p>

<?php
ini_set('display_errors', true);
require('../mim-sendlog.inc.php');

if (isset($HTTP_POST_VARS['message'])) {
	echo('<h2>Message sending resoult</h2>');
	$host = @$HTTP_POST_VARS['host'];
	$port = @$HTTP_POST_VARS['port'];
	$title = @$HTTP_POST_VARS['title'];
	$message = trim($HTTP_POST_VARS['message']);
	$type = @$HTTP_POST_VARS['msgtype'];

	if (!$title)
		$title = 'Miranda IM Sendlog Example';
	if (!$host)
		$host = '127.0.0.1';
	if (!$port)
		$port = 12001;
	if (!$type)
		$type = '';

	switch ($type) {
		case '':
			$type_str = 'notice';
			break;
		case '!':
			$type_str = 'error message';
			break;
		case '%':
			$type_str = 'message';
			break;
		default:
			$type_str = '';
			echo("<p>Unknown message type: '<tt>" .
				htmlspecialchars($type) . "</tt>'.</p>");
			break;
	}

	if ($type_str!='') {
		echo('<p>Sending ' . htmlspecialchars($type_str) . ' to: <b>' .
			htmlspecialchars("$host:$port") . '</b>. Title: <q>' .
			htmlspecialchars($title) . '</q> Mesage: <q>' .
			htmlspecialchars($message) . '</q>.</p>');

		$sendlog = new mim_sendlog($host, $port);

		switch ($type) {
			case '':
				$result = $sendlog -> send_notice($title, $message);
				break;
			case '!':
				$result = $sendlog -> send_error($title, $message);
				break;
			case '%':
				$result = $sendlog -> send_message($title, $message);
				break;
		}
		if ($result)
			echo('<p>Message sent.</p>');
		else
			echo('<p>Error occured (<q>' .
				htmlspecialchars($sendlog -> get_error()) . '</q>)</p>');
	}
}
?>

<h2 id="send">Send panel</h2>
<form method="post" action="<?php echo($HTTP_SERVER_VARS['PHP_SELF']); ?>">
<table class="border">
	<tr>
		<td class="name">Host:</td>
		<td class="value"><input name="host" value="127.0.0.1"
			onfocus="select();" class="text" /></td>
	</tr>
	<tr>
		<td class="name">Port:</td>
		<td class="value"><input name="port" value="12001"
			onfocus="select();" class="text" /></td>
	</tr>
	<tr>
		<td class="name">Title:</td>
		<td class="value"><input name="title"
			onfocus="select();" value="Miranda IM Sendlog Example"
			class="text" /></td>
	</tr>
	<tr>
		<td class="name">Message:</td>
		<td class="value"><textarea name="message"
			onfocus="select();"></textarea></td>
	</tr>
	<tr>
		<td class="name">Type:</td>
		<td class="value">
			<input type="radio" name="msgtype" value="" class="radio"
				checked="checked" /> Notice<br />
			<input type="radio" name="msgtype" value="%" class="radio" />
				Message<br />
			<input type="radio" name="msgtype" value="!" class="radio" />
				Error
		</td>
	</tr>
	<tr>
		<td class="emptyname">&nbsp;</td>
		<td class="submit">
			<input type="submit" value="Send" class="submit" />
			<input type="reset" value="Clear" class="reset" />
		</td>
	<tr>
</table>
</form>

<h2 id="ex_src">Example source code</h2>
<div class="code"><?php
highlight_file(basename($HTTP_SERVER_VARS['PHP_SELF']));
?></div>
	</body>
</html>