<?php
header('Expires: ' . gmdate('D, d M Y H:i:s') . ' GMT'); 
header('Last-Modified: ' . gmdate('D, d M Y H:i:s') . ' GMT'); 
header('Cache-Control: no-store, no-cache, must-revalidate'); 
header('Cache-Control: post-check=0, pre-check=0', false); 
header('Pragma: no-cache');

echo('<' . '?xml version="1.0" encoding="UTF-8"?' . '>');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
	<head>
		<meta http-equiv="Content-Type"
			content="text/html; charset=UTF-8" />
		<meta http-equiv="Reply-To"
			content="Michal Nazarewicz &lt;mina86@tlen.pl&gt;" />
		<meta name="Copyright"
			content="Copyright (c) 2003 by Michal Nazarewicz" />

		<link type="text/css" rel="stylesheet" href="css.css" />

		<title>Miranda IM Sendlog Example</title>
	</head>

	<body>
<h1>Miranad IM Sendlog Example</h1>
<p>This is an example how to use <b>Miranda IM Sendlog</b>. This script
sends info who enterd website.</p>

<?php
ini_set('display_errors', true);
require('../mim-sendlog.inc.php');

// Here is configuration:
$host = '127.0.0.1';
$port = 12001;

$sendlog = new mim_sendlog($host, $port);
if ($sendlog -> send_notice("Somebody has visited website.", "His/her IP is " .
		$HTTP_SERVER_VARS['REMOTE_ADDR'] . "\nHis/her webbrowser is " .
		$HTTP_SERVER_VARS['HTTP_USER_AGENT']))
	echo("<p>Message sent.</p>");
else
	echo("<p>Error while sending message (<q>" .
		htmlspecialchars($sendlog -> get_error()) . "</q>)</p>");
?>

<h2 id="ex_src">Example source code</h2>
<div class="code"><?php
highlight_file(basename($HTTP_SERVER_VARS['PHP_SELF']));
?></div>
	</body>
</html>